> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Integration Details by ID

> Details for a single vendor integration in the catalog, looked up by its UUID.

Returns the details of a single integration from the catalog by its `id`; use [List Integration Details](/api-reference/integration-details/list-integration-details) to look up the `id` for a given `integration_id`.


## OpenAPI

````yaml get /integrations/{id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /integrations/{id}:
    get:
      tags:
        - integration
      summary: Get Integration by ID
      description: Get an integration by ID.
      operationId: get_integration_by_id
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            title: Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationRespModel'
          description: Successful Response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Integration not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - API-Key: []
components:
  schemas:
    IntegrationRespModel:
      properties:
        categories:
          description: Category of the integration
          items:
            $ref: '#/components/schemas/ConnectionCategoriesEnum'
          title: Categories
          type: array
        data_exports:
          description: Supported data exports by Integration
          items:
            $ref: '#/components/schemas/DataExportTypesEnum'
          title: Data Exports
          type: array
        deprecated:
          default: false
          description: Status of the Integration
          title: Deprecated
          type: boolean
        description:
          description: Description of the integration
          title: Description
          type: string
        icon:
          contentMediaType: application/octet-stream
          description: Icon of the integration
          title: Icon
          type: string
        id:
          description: Unique ID of the Integration
          format: uuid
          title: Id
          type: string
        integration_id:
          description: Integration ID
          title: Integration Id
          type: string
        name:
          description: Name of the integration
          title: Name
          type: string
        parameters:
          description: Configuration parameters of the integration
          items:
            additionalProperties: true
            type: object
          title: Parameters
          type: array
        version:
          description: Version of the integration
          title: Version
          type: string
      required:
        - id
        - name
        - integration_id
        - version
        - description
        - parameters
        - icon
        - categories
        - data_exports
      title: IntegrationRespModel
      type: object
    ErrorException:
      properties:
        detail:
          description: Error message
          title: Detail
          type: string
      required:
        - detail
      title: ErrorException
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ConnectionCategoriesEnum:
      enum:
        - VMS
        - APPSEC
        - EDR
        - CSPM
        - IDP
        - IDS
        - ITSM
        - TPRM
        - GRC
        - MDM
        - EMAIL_SECURITY
      title: ConnectionCategoriesEnum
      type: string
    DataExportTypesEnum:
      enum:
        - alerts
        - compliances
        - compliance_findings
        - config_users
        - cspm_alerts
        - device_groups
        - device_policies
        - devices
        - idp
        - idp_alerts
        - idp_audit_logs
        - idp_policies
        - issues
        - organization_identities
        - sast_issues
        - sca_issues
        - vms_scan_configs
        - vulnerabilities
        - resources
        - vulnerability_findings_v2
        - grc_entity
        - grc_control
        - grc_evidence
        - grc_assessment_question
        - grc_assessment
        - tprm
        - tprm_company
        - tprm_finding
        - findings
        - itsm_users
        - itsm_groups
        - itsm_projects
        - itsm_tickets
        - itsm_attachments
        - itsm_comments
        - applications
        - siem_events
      title: DataExportTypesEnum
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey

````